lpinfo(8)

NOM
lpinfo - show available devices or drivers (deprecated)

SYNOPSIS
lpinfo [ -E ] [ -h serveur[:port] ] [ -l ] [ --device-id chaîne_id_périphérique ] [ --exclude-schemes liste_schéma ] [ --include-schemes liste-schéma ] [ --language locale ] [ --make-and-model nom ] [ --product nom ] -m
lpinfo [ -E ] [ -h serveur[:port] ] [ -l ] [ --exclude-schemes liste-schéma ] [ --include-schemes liste-schéma ] [ --timeout secondes ] -v

DESCRIPTION
lpinfo affiche la liste des périphériques ou pilotes connus par le serveur CUPS. La première forme (avec -m) liste les pilotes disponibles, et la seconde forme (avec -v) liste les périphériques disponibles.

OPTIONS
lpinfo accepte les options suivantes :

-E  Obliger un chiffrement lors de la connexion au serveur.

-h serveur[:port]
    Sélectionner un autre serveur.

-l  Afficher une liste « longue » des périphériques ou pilotes.

--device-id chaîne_id_périphérique
    Indiquer l'ID des périphériques IEEE-1284 à faire correspondre lors du parcours de la liste des pilotes avec l'option -m.

--exclude-schemes liste_schéma
    Indiquer une liste séparée par des virgules de périphériques ou de schémas PPD qui devraient être exclus des résultats. Les fichiers statiques PPD utilisent le schéma « file ».

--include-schemes liste_schéma
    Indiquer une liste séparée par des virgules de périphériques ou de schémas PPD qui devraient être inclus dans les résultats. Les fichiers statiques PPD utilisent le schéma « file ».

--language locale
    Indiquer la langue à faire correspondre lors de la création de la liste des pilotes avec l'option -m.

--make-and-model nom
    Indiquer la marque et le modèle à faire correspondre lors de la création de la liste des pilotes avec l'option -m.

--product nom
    Indiquer le produit à sélectionner lors de la création de la liste des pilotes avec l'option -m.

--timeout secondes
    Indiquer le délai d'attente lors de la création de la liste des périphériques avec l'option -v.

CONFORMITÉ
La commande lpinfo est spécifique à CUPS.

EXEMPLES
Lister tous les périphériques :

    lpinfo -v

Lister tous les pilotes :

    lpinfo -m

Lister tous les pilotes correspondants à « HP LaserJet » :

    lpinfo --make-and-model "HP LaserJet" -m

NOTES
CUPS printer drivers and backends are deprecated and will no longer be supported in a future feature release of CUPS. Printers that do not support IPP can be supported using applications such as ippeveprinter(1).

VOIR AUSSI
lpadmin(8), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.